Index: src/Jobs/Makefile.am
===================================================================
--- src/Jobs/Makefile.am	(revision e13990bfa81063bc4e2dd8eec99ef2d0b440077c)
+++ src/Jobs/Makefile.am	(revision d2a0f6d2e6fc25cd0d246a3f6942fb00bd93273c)
@@ -6,4 +6,7 @@
         Jobs/MPQCData.cpp \
         Jobs/MPQCJob.cpp
+if CONDVMG
+JOBSSOURCE += Jobs/VMGJob.cpp
+endif
 
 JOBSHEADER = \
@@ -14,9 +17,12 @@
         Jobs/MPQCData_printKeyNames.hpp \
         Jobs/MPQCJob.hpp 
+if CONDVMG
+JOBSSOURCE += Jobs/VMGJob.hpp
+endif
 
 lib_LTLIBRARIES += libMolecuilderJobs.la
 libMolecuilderJobs_la_includedir = $(includedir)/MoleCuilder/
 nobase_libMolecuilderJobs_la_include_HEADERS = $(JOBSHEADER)
-libMolecuilderJobs_la_CPPFLAGS = ${BOOST_CPPFLAGS} ${CodePatterns_CFLAGS} ${JobMarket_CFLAGS}
+libMolecuilderJobs_la_CPPFLAGS = ${BOOST_CPPFLAGS} ${CodePatterns_CFLAGS} ${JobMarket_CFLAGS} -Dvmg_float=double -Dvmg_int=int $(VMG_CFLAGS)
 libMolecuilderJobs_la_LDFLAGS = $(AM_LDFLAGS) \
   $(BOOST_SERIALIZATION_LDFLAGS) \
@@ -25,4 +31,5 @@
 libMolecuilderJobs_la_SOURCES = $(JOBSSOURCE)
 libMolecuilderJobs_la_LIBADD = \
+	$(VMG_LIBS) \
 	$(JobMarket_LIBS) \
   $(BOOST_SERIALIZATION_LIBS) \
Index: src/Jobs/VMGJob.cpp
===================================================================
--- src/Jobs/VMGJob.cpp	(revision d2a0f6d2e6fc25cd0d246a3f6942fb00bd93273c)
+++ src/Jobs/VMGJob.cpp	(revision d2a0f6d2e6fc25cd0d246a3f6942fb00bd93273c)
@@ -0,0 +1,69 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2012 University of Bonn. All rights reserved.
+ * 
+ *
+ *   This file is part of MoleCuilder.
+ *
+ *    MoleCuilder is free software: you can redistribute it and/or modify
+ *    it under the terms of the GNU General Public License as published by
+ *    the Free Software Foundation, either version 2 of the License, or
+ *    (at your option) any later version.
+ *
+ *    MoleCuilder is distributed in the hope that it will be useful,
+ *    but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *    GNU General Public License for more details.
+ *
+ *    You should have received a copy of the GNU General Public License
+ *    along with MoleCuilder.  If not, see <http://www.gnu.org/licenses/>.
+ */
+
+/*
+ * VMGJob.cpp
+ *
+ *  Created on: Jul 13, 2012
+ *      Author: heber
+ */
+
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+// include headers that implement a archive in simple text format
+// otherwise BOOST_CLASS_EXPORT_IMPLEMENT has no effect
+#include <boost/archive/text_oarchive.hpp>
+#include <boost/archive/text_iarchive.hpp>
+
+#include "CodePatterns/MemDebug.hpp"
+
+#include "Jobs/VMGJob.hpp"
+
+#include "grid/tempgrid.hpp"
+
+VMGJob::VMGJob(const JobId_t _JobId, const std::vector< double > &_sampled_input) :
+  FragmentJob(_JobId),
+  sampled_input(_sampled_input)
+{}
+
+VMGJob::VMGJob() :
+  FragmentJob(JobId::IllegalJob)
+{}
+
+VMGJob::~VMGJob()
+{}
+
+FragmentResult::ptr VMGJob::Work()
+{
+  VMG::TempGrid *grid = new VMG::TempGrid();
+  FragmentResult::ptr ptr( new FragmentResult(getId()) );
+  delete grid;
+  return ptr;
+}
+
+// we need to explicitly instantiate the serialization functions as
+// its is only serialized through its base class FragmentJob
+BOOST_CLASS_EXPORT_IMPLEMENT(VMGJob)
Index: src/Jobs/VMGJob.hpp
===================================================================
--- src/Jobs/VMGJob.hpp	(revision d2a0f6d2e6fc25cd0d246a3f6942fb00bd93273c)
+++ src/Jobs/VMGJob.hpp	(revision d2a0f6d2e6fc25cd0d246a3f6942fb00bd93273c)
@@ -0,0 +1,66 @@
+/*
+ * VMGJob.hpp
+ *
+ *  Created on: Jul 12, 2012
+ *      Author: heber
+ */
+
+#ifndef VMGJOB_HPP_
+#define VMGJOB_HPP_
+
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "boost/serialization/export.hpp"
+#include "boost/serialization/vector.hpp"
+
+#include "JobMarket/Jobs/FragmentJob.hpp"
+
+#include <vector>
+
+/** This class encapsulates a VMG Job.
+ *
+ *  VMGJob calculates the long-range contribution that is missed out so far in the
+ *  MPQCJob where the SCF cycle is calculated. To this end
+ *
+ */
+class VMGJob : public FragmentJob
+{
+public:
+  /** Constructor for class VMGJob.
+   *
+   * @param _JobId id of the job
+   * @param _sampled_input vector of sampled points of the grid as right-hand side
+   */
+  VMGJob(const JobId_t _JobId, const std::vector< double > &_sampled_input);
+  virtual ~VMGJob();
+
+  FragmentResult::ptr Work();
+
+private:
+  //!> contents of the input file
+  const std::vector< double > sampled_input;
+
+private:
+  /** private default cstor for serialization only
+   */
+  VMGJob();
+
+  friend class boost::serialization::access;
+  // serialization
+  template <typename Archive>
+  void serialize(Archive& ar, const unsigned int version)
+  {
+    ar & boost::serialization::base_object<FragmentJob>(*this);
+    ar & const_cast< std::vector< double > &>(sampled_input);
+  }
+};
+
+// we need to give this class a unique key for serialization
+// its is only serialized through its base class FragmentJob
+BOOST_CLASS_EXPORT_KEY(VMGJob)
+
+#endif /* VMGJOB_HPP_ */
